petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetApplicationContext

Gets the user-defined context for the linear solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetApplicationContext(KSP ksp,void *usrP)

Not Collective Many br

### Input Parameter

ksp -KSP context Many br

### Output Parameter

usrP -user context Many br

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this Many brfunction that tells Fortran the Fortran derived data type that you are passing in as the ctx argument. Many br

Many br

### Keywords

KSP, get, application, context

### See Also

KSPSetApplicationContext()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages